libstdc++: std::decimal::decimal32 Class Reference

libstdc++

std::decimal::decimal32 Class Reference

`#include <decimal>`

## Public Types
typedef float | __decfloat32

## Public Member Functions
| decimal32 (__decfloat32 __z)
| decimal32 (decimal128 __d128)
| decimal32 (decimal64 __d64)
| decimal32 (double __r)
| decimal32 (float __r)
| decimal32 (int __z)
| decimal32 (long __z)
| decimal32 (long double __r)
| decimal32 (long long __z)
| decimal32 (unsigned int __z)
| decimal32 (unsigned long __z)
| decimal32 (unsigned long long __z)
__decfloat32 | __getval (void)
void | __setval (__decfloat32 __x)
| operator long long () const
decimal32 & | operator*= (decimal128 __rhs)
decimal32 & | operator*= (decimal32 __rhs)
decimal32 & | operator*= (decimal64 __rhs)
decimal32 & | operator*= (int __rhs)
decimal32 & | operator*= (long __rhs)
decimal32 & | operator*= (long long __rhs)
decimal32 & | operator*= (unsigned int __rhs)
decimal32 & | operator*= (unsigned long __rhs)
decimal32 & | operator*= (unsigned long long __rhs)
decimal32 & | operator++ ()
decimal32 | operator++ (int)
decimal32 & | operator+= (decimal128 __rhs)
decimal32 & | operator+= (decimal32 __rhs)
decimal32 & | operator+= (decimal64 __rhs)
decimal32 & | operator+= (int __rhs)
decimal32 & | operator+= (long __rhs)
decimal32 & | operator+= (long long __rhs)
decimal32 & | operator+= (unsigned int __rhs)
decimal32 & | operator+= (unsigned long __rhs)
decimal32 & | operator+= (unsigned long long __rhs)
decimal32 & | operator-- ()
decimal32 | operator-- (int)
decimal32 & | operator-= (decimal128 __rhs)
decimal32 & | operator-= (decimal32 __rhs)
decimal32 & | operator-= (decimal64 __rhs)
decimal32 & | operator-= (int __rhs)
decimal32 & | operator-= (long __rhs)
decimal32 & | operator-= (long long __rhs)
decimal32 & | operator-= (unsigned int __rhs)
decimal32 & | operator-= (unsigned long __rhs)
decimal32 & | operator-= (unsigned long long __rhs)
decimal32 & | operator/= (decimal128 __rhs)
decimal32 & | operator/= (decimal32 __rhs)
decimal32 & | operator/= (decimal64 __rhs)
decimal32 & | operator/= (int __rhs)
decimal32 & | operator/= (long __rhs)
decimal32 & | operator/= (long long __rhs)
decimal32 & | operator/= (unsigned int __rhs)
decimal32 & | operator/= (unsigned long __rhs)
decimal32 & | operator/= (unsigned long long __rhs)

## Detailed Description

3.2.2 Class decimal32.

Definition at line 232 of file decimal.

## Member Typedef Documentation

## ◆ __decfloat32

typedef float std::decimal::decimal32::__decfloat32

Definition at line 235 of file decimal.

## Constructor & Destructor Documentation

## ◆ decimal32() [1/11]

std::decimal::decimal32::decimal32 | ( |  | ) |
| inline

Definition at line 238 of file decimal.

## ◆ decimal32() [2/11]

std::decimal::decimal32::decimal32 | ( | float | __r | ) |
| inlineexplicit

Definition at line 243 of file decimal.

## ◆ decimal32() [3/11]

std::decimal::decimal32::decimal32 | ( | double | __r | ) |
| inlineexplicit

Definition at line 244 of file decimal.

## ◆ decimal32() [4/11]

std::decimal::decimal32::decimal32 | ( | long double | __r | ) |
| inlineexplicit

Definition at line 245 of file decimal.

## ◆ decimal32() [5/11]

std::decimal::decimal32::decimal32 | ( | int | __z | ) |
| inline

Definition at line 248 of file decimal.

## ◆ decimal32() [6/11]

std::decimal::decimal32::decimal32 | ( | unsigned int | __z | ) |
| inline

Definition at line 249 of file decimal.

## ◆ decimal32() [7/11]

std::decimal::decimal32::decimal32 | ( | long | __z | ) |
| inline

Definition at line 250 of file decimal.

## ◆ decimal32() [8/11]

std::decimal::decimal32::decimal32 | ( | unsigned long | __z | ) |
| inline

Definition at line 251 of file decimal.

## ◆ decimal32() [9/11]

std::decimal::decimal32::decimal32 | ( | long long | __z | ) |
| inline

Definition at line 252 of file decimal.

## ◆ decimal32() [10/11]

std::decimal::decimal32::decimal32 | ( | unsigned long long | __z | ) |
| inline

Definition at line 253 of file decimal.

## ◆ decimal32() [11/11]

std::decimal::decimal32::decimal32 | ( | __decfloat32 | __z | ) |
| inline

Conforming extension: Conversion from scalar decimal type.

Definition at line 256 of file decimal.

## Member Function Documentation

## ◆ __getval()

__decfloat32 std::decimal::decimal32::__getval | ( | void |  | ) |
| inline

Definition at line 313 of file decimal.

## ◆ __setval()

void std::decimal::decimal32::__setval | ( | __decfloat32 | __x | ) |
| inline

Definition at line 314 of file decimal.

## ◆ operator long long()

std::decimal::decimal32::operator long long | ( |  | ) | const
| inlineexplicit

Definition at line 261 of file decimal.

## ◆ operator++() [1/2]

decimal32 & std::decimal::decimal32::operator++ | ( |  | ) |
| inline

Definition at line 265 of file decimal.

## ◆ operator++() [2/2]

decimal32 std::decimal::decimal32::operator++ | ( | int |  | ) |
| inline

Definition at line 271 of file decimal.

## ◆ operator--() [1/2]

decimal32 & std::decimal::decimal32::operator-- | ( |  | ) |
| inline

Definition at line 278 of file decimal.

## ◆ operator--() [2/2]

decimal32 std::decimal::decimal32::operator-- | ( | int |  | ) |
| inline

Definition at line 284 of file decimal.

The documentation for this class was generated from the following file:

- decimal